Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::HNSW::NodeDistCloser Struct Reference

to sort pairs of (id, distance) from nearest to fathest or the reverse More...

`#include <HNSW.h>`

## Public Member Functions
| NodeDistCloser (float d, int id)
bool | operator< (const NodeDistCloser &obj1) const

## Public Attributes
float | d
int | id

## Detailed Description

to sort pairs of (id, distance) from nearest to fathest or the reverse

Definition at line 103 of file HNSW.h.

The documentation for this struct was generated from the following file:

- /tmp/faiss/HNSW.h